Change log for barry package in Debian

112 of 12 results
Deleted in sid-release (Reason: None provided.)
barry (0.18.5-1.1) unstable; urgency=medium


  * Non-maintainer upload.
  * Update to build with wxWidgets 3.0 (Closes: #751262):
    - New patch: wx3.0-compat.patch
  * Fix bad use of sizeof():
    - New patch: fix-sizeof-use.patch

 -- Olly Betts <email address hidden>  Tue, 02 Sep 2014 23:18:25 +0000
Deleted in jessie-release (Reason: None provided.)
Superseded in sid-release on 2014-09-05
barry (0.18.5-1) unstable; urgency=low


  * New upstream version 0.18.5
  * Removed source/options and source/patch-header, using upstream versions
    instead.

 -- Chris Frey <email address hidden>  Sun, 17 Nov 2013 17:29:40 -0500

Available diffs

Superseded in jessie-release on 2013-12-02
Superseded in sid-release on 2013-11-24
barry (0.18.3-6) unstable; urgency=low


  * Disabled evolution dependency in Desktop build, for upcoming
    evolution 3.8 in sid. (Closes: #722032)

 -- Chris Frey <email address hidden>  Sun, 08 Sep 2013 15:00:07 -0400
Superseded in jessie-release on 2013-09-24
Published in wheezy-release on 2012-07-04
Superseded in sid-release on 2013-09-14
barry (0.18.3-5) unstable; urgency=low


  * Removed dependency on ppp for kfreebsd, since kernel side pppd is not
    available, and freebsd-ppp is not fully supported yet.  Also changed
    barrydeskop's ppp Depend into a Recommend, since Barry can technically
    run without it. (Closes: #678233)

 -- Chris Frey <email address hidden>  Fri, 22 Jun 2012 17:56:40 -0400

Available diffs

Superseded in sid-release on 2012-06-24
barry (0.18.3-3) unstable; urgency=low


  * Fixed build-dep order for autopoint (Closes: #676321)

 -- Chris Frey <email address hidden>  Wed, 06 Jun 2012 17:08:40 -0400

Available diffs

Superseded in sid-release on 2012-06-07
barry (0.18.3-2) unstable; urgency=low


  [Chris Frey]
  * New upstream version 0.18.3 (Closes: #582189, #582187, #657076, LP: #500370)
  * Moved opensync-plugin into its own build
  * Removed dependency of libbarry-dev on libusb-dev
  * Removed .la files
  * Added new PPP chat scripts, including: kpn, telus, optus, vodafone AU,
    orangeuk, mts
  * Added new programs: bwatch, btarcmp, bjdwp, balxparse, bio, brawchannel
  * New udev rules set, and now under /lib/udev/rules.d
  * Added Bash and Zsh completion scripts
  * Updated Standards-Version to 3.9.3
  * Reviewed debhelper(7) manpage changes and updated compat to 7 (2012/03/03)
  * New logo and icons
  * Added NLS support
  * Moved hal-blackberry script to /usr/lib/barry/
  * Added lintian override for libosyncwrap in the barrydesktop package
  * Updated debian/rules to allow for building with an external debian/
    directory.
  * Install examples and documentation.
  * Configure --with-zlib and --enable-boost.
  * Add gettext, autopoint, libsdl-dev, and libxml++2.6-dev to build-deps.
  * Added support for hardened builds
  * Use 3.0 (quilt) source format, as per intrigeri's patch

  [ intrigeri ]
  * Drop obsolete patch, stop using deprecated simple-patchsys.
  * Use 3.0 (quilt) source format.
  * Make barry-util.postinst script use 'set -e' rather than '/bin/sh -e'.
  * Avoid duplicate short descriptions.
  * Fix typo in description (Closes: #598878)
  * Fix syntax of old debian/changelog entry.
  * Fix section of -dbg packages.
  * Add Homepage control field.
  * Link to the correct version of GPL and LGPL.
  * Revert useless changes to upstream files.

  [ Martin Owens ]
  * Add versionned dependency from barry-util and barrybackup-gui on libbarry0.

 -- Chris Frey <email address hidden>  Tue, 15 May 2012 01:32:40 -0400
Superseded in wheezy-release on 2012-07-04
Superseded in sid-release on 2012-06-08
barry (0.15-1.3) unstable; urgency=low


  [ Cyril Brulebois ]
  * Non-maintainer upload.
  * Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> include
    (Closes: #667109).

 -- Jonathan Wiltshire <email address hidden>  Sun, 13 May 2012 14:02:11 +0100

Available diffs

Superseded in wheezy-release on 2012-05-26
Superseded in sid-release on 2012-05-16
barry (0.15-1.2) unstable; urgency=low


  * Non-maintainer upload.
  * Install udev rules into /lib/udev/rules.d (Closes: #561243, #622564)
  * Fix uninstallability on kfreebsd-* by making barry-util depend on udev
    on Linux only (Closes: #639594)
  * Install udev rules on Linux only.

 -- intrigeri <email address hidden>  Sun, 16 Oct 2011 20:04:55 +0200
Superseded in sid-release on 2011-11-21
barry (0.15-1.1) unstable; urgency=low


  * Non-maintainer upload
  * Maintainer most apparently MIA
  * Remove opensync plugins, closes: #569443, #591990
    Thanks: Mathias Klose <email address hidden>
  * added missing bjavaloader and bfuse programs, closes: #548317
    Thanks: Fabrice Coutadeur <email address hidden>
  * Remove .la file (no reverse build dependencies), closes: #621271

 -- Riku Voipio <email address hidden>  Tue, 16 Aug 2011 10:54:04 +0300
Superseded in sid-release on 2011-09-20
Deleted in squeeze-release (Reason: None provided.)
barry (0.15-1) unstable; urgency=low


  * New Upstream Version
    + Adds support for Curve 8900 (Closes: #524677)
  * Ack NMU. Thanks to Cyril Brulebois for it.
  * Updated patches:
     - fix-ftbfs-with-new-boost.diff: deleted, fixed upstream.
     - fix-ftbfs-with-gcc-4.4.diff: updated
  * debian/rules:
    + Install udev files from its new location.
    + Use .conf for modprobe config files (Closes: #518571)
  * debian/barry-util.install: do not try to install removed bs11nread util

 -- Jose Carlos Garcia Sogo <email address hidden>  Sat, 29 Aug 2009 22:57:03 +0200
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
barry (0.14-2.1) unstable; urgency=medium


  * Non-maintainer upload.
  * Fix FTBFS with new boost (>= 1.37.0) by using the “-mt” suffix for
    boost libraries since starting with this version, only this variant
    is available (Closes: #529722). Add the following patch:
     - fix-ftbfs-with-new-boost.diff (thanks to Steve M. Robbins)
  * Fix FTBFS with gcc-4.4 (Closes: #505342):
     - fix-ftbfs-with-gcc-4.4.diff (thanks to Martin Michlmayr)
  * debian/rules: Add the simple-patchsys.mk include to get both patches
    applied.
  * Set urgency to “medium”, both bugs affect testing too.
  * Add ${misc:Depends} to all Depends fields.

 -- Cyril Brulebois <email address hidden>  Sat, 18 Jul 2009 12:54:03 +0200
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
barry (0.14-2) unstable; urgency=low


  * debian/rules: Fix libbarry-dbg name
  * debian/: some debhelper control files were missing in latest release,
    making binary packages almost empty. Thanks to Michael Banck for pointing it.
  * debian/control: change opensync plugin package name to match naming scheme 
    for other opensync plugins. Thanks to Michael Banck.
  * debian/compat: force level 4 to make easier building of -dbg package  

 -- Jose Carlos Garcia Sogo <email address hidden>  Tue, 21 Oct 2008 23:28:05 +0200
112 of 12 results